<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getMaxShares](./bitburner.tix.getmaxshares.md)

## TIX.getMaxShares() method

Returns the maximum number of shares of a stock.

**Signature:**

```typescript
getMaxShares(sym: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |

**Returns:**

number

Maximum number of shares that the stock has.

## Remarks

RAM cost: 2 GB This is the maximum amount of the stock that can be purchased in both the Long and Short positions combined.

